#!/bin/sh
cd $(dirname $0)
DIRECTORY="/etc/yum.repos.d"
if [[ ! -d ${DIRECTORY} ]]; then
    DIRECTORY="/etc/zypp/repos.d"
fi

sed -e 's|##LOCALDIR##|'$(pwd)'|' localrepo.tmpl > $DIRECTORY/lenovo-hpc.repo
rm $(pwd)/localrepo.tmpl
rm $(pwd)/mklocalrepo.sh
